#Libbible

This library provides a simplified interface to the SWORD project.

##libbible.so

The library can be compiled into a sharable object file and installed to the system:

```console
make
sudo make install
```

The full interface is available in libbible.h.

##bible

An example cli is included with libbible. It is designed to showcase the functionality of libbible:

```console
bible --help

Usage:
 bible [options] [reference]

Print bible passages.

Options:
 -h, --help                         display this help message
     --list-modules                 list all installed modules
 -m, --module <mod>                 use specified module
     --set-default-module <mod>     use specified module by default in future runs
     --list-books                   list books available in the current module
     --list-chapters <book>         list chapters available in book in the current module
 -o, --omit-verse-numbers           when printing verse text, skip printing verse and chapter numbers
     --list-installable=<lang>      list bible versions available for download and install. Default lists for all languages.
     --install-network <mod>        install module from the network where <mod> is LANG:NAME as provided by --list-installable
     --install-zip <path>           install module from a zip file
     --remove-module <mod>          delete a mod from the system


Examples:
 bible Gal 5:22-23
 bible John 3:16
 bible Romans 12
 bible Matt 5:3-7:27
 bible Genesis 1-3
```
