#include "libbible.h"
#include <sword/swconfig.h>

std::string path = (std::getenv("HOME")) + std::string("/.sword/libbible.conf");
sword::SWConfig config(path.c_str());

void libbible::settingsWrite(std::string key, std::string value) {
    config["General"][key.c_str()] = sword::SWBuf(value.c_str());
    config.save();
}

std::string libbible::settingsRead(std::string key) {
    return config["General"][key.c_str()].c_str();
}

void libbible::settingsWriteInt(std::string key, int value) {
    config["General"][key.c_str()] = sword::SWBuf(std::to_string(value).c_str());
    config.save();
}

int libbible::settingsReadInt(std::string key) {
    return atoi(config["General"][key.c_str()].c_str());
}
